Page MenuHomePhabricator

vg_common_json : Support image data of node
ClosedPublic

Authored by jsuya on Jul 7 2019, 7:22 PM.

Details

Summary

When node has image data, it creates Efl.Canvas.Vg.Image class
and set transform information and data information.

Depends on
D9218 Ector.Renderer : Implement Ector.Renderer.(Software).Image class
D9219 Efl.Canvas.Vg : Implement Efl.Canvas.Vg.Image class

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Jul 7 2019, 7:22 PM
jsuya requested review of this revision.Jul 7 2019, 7:22 PM
Hermet requested changes to this revision.Jul 10 2019, 8:22 PM

Please check comments.

src/static_libs/vg_common/vg_common_json.c
82

Shape and Image could have totally different routine each others.
That means, this Image case could be handled earlier in the for loop.
Shouldn't be mixed in Shape Handling.

//Image Node
if (node->mImageInfo.data)
{

char  *key  = _get_key_val(node);
Efl_Canvas_Vg_Image image;
if (key) image = efl_key_data_get(parent, key);
else
{
    image = efl_add(EFL_CANVAS_VG_IMAGE_CLASS, parent);
     efl_key_data_set(parent, key, image);
}
 //Do Image stuff

 continue;

}

//Orignal Code (Shape)

//Skip Invisible Stroke?
if (node->mStroke.enable && node->mStroke.width == 0)
...

This revision now requires changes to proceed.Jul 10 2019, 8:22 PM
jsuya updated this revision to Diff 23488.Jul 17 2019, 7:09 PM

update code

jsuya marked an inline comment as done.Jul 17 2019, 7:13 PM
Hermet accepted this revision.Jul 17 2019, 10:30 PM
This revision is now accepted and ready to land.Jul 17 2019, 10:30 PM
This revision was automatically updated to reflect the committed changes.